Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for e-Mail API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.emailadapter.appconn
Class EmailAddress

    java.lang.Object
      com.stc.connector.emailadapter.appconn.EmailAddress

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData

    public class EmailAddress

extends java.lang.Object
implements com.stc.connector.persistence.bpel.PersistableData

EmailAddress class holding information about an email address.

Version:
  $Version$
Author:
  $Author: chuang $

Constructor Summary
`EmailAddress()` Creates new EmailAddress
`EmailAddress(java.lang.String address, java.lang.String name)` Creates new EmailAddress

Method Summary
`java.lang.String` | `getAddress()` Get the email address.
`java.lang.String` | `getName()` Get the name.
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dout)` Persists (serialize) this message.
`protected void` | `reset()` Resets this instance of EmailAddress.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput din)` Restore (deserialize) this message.
`void` | `setAddress(java.lang.String val)` Set the email address.
`void` | `setName(java.lang.String val)` Set the name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailAddress

    public EmailAddress()

  Creates new EmailAddress

### EmailAddress

    public EmailAddress(java.lang.String address,
                        java.lang.String name)

  Creates new EmailAddress

  Parameters:
    `address` - The email address.
    `name` - The name.

Method Detail

### getAddress

    public java.lang.String getAddress()

  Get the email address.

  Returns:
    The email address.

### setAddress

    public void setAddress(java.lang.String val)

  Set the email address.

  Parameters:
    `val` - The email address.

### getName

    public java.lang.String getName()

  Get the name.

  Returns:
    The name.

### setName

    public void setName(java.lang.String val)

  Set the name.

  Parameters:
    `val` - The name.

### reset

    protected void reset()

  Resets this instance of EmailAddress.

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dout)
                 throws java.lang.Exception

  Persists (serialize) this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dout` - The DataOutput to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput din)
                 throws java.lang.Exception

  Restore (deserialize) this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dis` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for e-Mail API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD